﻿namespace BoasPraticas.CodigoBom
{
    public class CalculoDescontoFidelidade : ICalculoDescontoFidelidade
    {
        public decimal AplicarDesconto(decimal preco, int tempoDeContaEmAnos)
        {
            decimal descontoPorFidelidadePercentual = (tempoDeContaEmAnos > Constantes.DESCONTO_MAXIMO_POR_FIDELIDADE) ? (decimal)Constantes.DESCONTO_MAXIMO_POR_FIDELIDADE / 100 : (decimal)tempoDeContaEmAnos / 100;
            return preco - (descontoPorFidelidadePercentual * preco);
        }
    }
}
